package cn.com.countrygarden.bi.main.dto;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class canteenInvestigationliebiaoDTO {
	
	
	private Integer id;
	
	private Integer projectId;
	
	private String areaname;//区域名
	
	private String projectname;//项目名
	
	/**
	 * 问卷ID
	 */
	private Integer questionnaireId;
	
	/**
	 * 问卷管理Id
	 */
	private Integer investigationmanagementId;
	
	
	
	
	/**
	 * 问卷名
	 */

	private String questionnaireName;
	
	/**
	 * 问卷问卷描述
	 */

	private String described;
	
	/**
	 * 调查表id
	 */
	private Integer cantigateid;
	
	
	/**
	 * 调查标题
	 */
	
	private String title;
	
	
	private Integer flag;
	
	/**
	 * 是否开始（0:结束，1:开始）
	 */
    private Integer ispartake;
	
	/**
	 * 总共参与评价的人数
	 */
	private Integer total;
	
	 /**
     * 创建时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;
    
    private boolean haseole;
	
	private String getusercode;

	public Integer getQuestionnaireId() {
		return questionnaireId;
	}

	public void setQuestionnaireId(Integer questionnaireId) {
		this.questionnaireId = questionnaireId;
	}

	public Integer getInvestigationmanagementId() {
		return investigationmanagementId;
	}

	public void setInvestigationmanagementId(Integer investigationmanagementId) {
		this.investigationmanagementId = investigationmanagementId;
	}

	public String getQuestionnaireName() {
		return questionnaireName;
	}

	public void setQuestionnaireName(String questionnaireName) {
		this.questionnaireName = questionnaireName;
	}

	public Integer getFlag() {
		return flag;
	}

	public void setFlag(Integer flag) {
		this.flag = flag;
	}

	public Integer getTotal() {
		return total;
	}

	public void setTotal(Integer total) {
		this.total = total;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public boolean isHaseole() {
		return haseole;
	}

	public void setHaseole(boolean haseole) {
		this.haseole = haseole;
	}

	public String getGetusercode() {
		return getusercode;
	}

	public void setGetusercode(String getusercode) {
		this.getusercode = getusercode;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Integer getIspartake() {
		return ispartake;
	}

	public void setIspartake(Integer ispartake) {
		this.ispartake = ispartake;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getCantigateid() {
		return cantigateid;
	}

	public void setCantigateid(Integer cantigateid) {
		this.cantigateid = cantigateid;
	}

	

	public String getDescribed() {
		return described;
	}

	public void setDescribed(String described) {
		this.described = described;
	}

	public Integer getProjectId() {
		return projectId;
	}

	public void setProjectId(Integer projectId) {
		this.projectId = projectId;
	}

	public String getAreaname() {
		return areaname;
	}

	public void setAreaname(String areaname) {
		this.areaname = areaname;
	}

	public String getProjectname() {
		return projectname;
	}

	public void setProjectname(String projectname) {
		this.projectname = projectname;
	}
	
	
	

}
